import { defHttp } from '@/utils/http/axios';
import { tubanListParams } from './model/index';

enum Api {
  // 获取待办任务统计数据
  LoadCaseInfoMineralsTuBanList = '/api/DroneCaseInfoMinerals/LoadCaseInfoMineralsTuBanList',
  LoadMineralsLedger = '/api/DroneCaseInfoMinerals/LoadMineralsLedger',
  LoadMineralsProcess = '/api/DroneCaseInfoMinerals/LoadMineralsProcess',
  GetCaseInfoById = '/api/DroneCaseInfoMinerals/GetCaseInfoById',
}

export function getLoadCaseInfoMineralsTuBanList(params?: tubanListParams) {
  return defHttp.get({ url: Api.LoadCaseInfoMineralsTuBanList, params });
}

export function getLoadMineralsLedger(params?: tubanListParams) {
  return defHttp.get({ url: Api.LoadMineralsLedger, params });
}

export function getLoadMineralsProcess(params?: tubanListParams) {
  return defHttp.get({ url: Api.LoadMineralsProcess, params });
}

export function getCaseInfoById(params) {
  return defHttp.get({ url: Api.GetCaseInfoById, params });
}
